/*
 * Class STREAM
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_676 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_676 [] = {0xFF01,1551,675,0xFFFF};
static const EIF_TYPE_INDEX egt_2_676 [] = {0xFF01,675,0xFFFF};
static const EIF_TYPE_INDEX egt_3_676 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_676 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_676 [] = {0xFF01,675,0xFFFF};
static const EIF_TYPE_INDEX egt_6_676 [] = {0xFF01,675,0xFFFF};
static const EIF_TYPE_INDEX egt_7_676 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_676 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_676 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_676 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_676 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_676 [] = {0xFF01,675,0xFFFF};
static const EIF_TYPE_INDEX egt_13_676 [] = {0xFF01,0,0xFFFF};
static const EIF_TYPE_INDEX egt_14_676 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_15_676 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_16_676 [] = {0xFF01,0,0xFFFF};


static const struct desc_info desc_676[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_676), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_676), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_676), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_676), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_676), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_676), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_676), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_676), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_676), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_676), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_676), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_676), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0547 /*675*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_676), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16437, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16092, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0725 /*914*/), 16519, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_676), 16450, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16451, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16452, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16453, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 16520, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16521, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16439, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 16440, 4},
	{EIF_GENERIC(egt_14_676), 16436, 0},
	{EIF_NON_GENERIC(0x06CB /*869*/), 16441, 16},
	{EIF_NON_GENERIC(0x06CB /*869*/), 16434, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 16435, 48},
	{EIF_NON_GENERIC(0x06DD /*878*/), 16421, 10},
	{EIF_NON_GENERIC(0x069B /*845*/), 16422, 7},
	{EIF_NON_GENERIC(0x06B9 /*860*/), 16423, 40},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 16438, 12},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 16425, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06AD /*854*/), 16418, 8},
	{EIF_NON_GENERIC(0x06D7 /*875*/), 16420, 6},
	{EIF_NON_GENERIC(0x06B3 /*857*/), 16428, 32},
	{EIF_NON_GENERIC(0x06BF /*863*/), 16419, 56},
	{EIF_NON_GENERIC(0x06CB /*869*/), 16426, 20},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16463, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16464, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16465, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16466, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16467, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16468, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16469, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16470, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16471, 5},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16444, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16472, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16473, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16474, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16475, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16476, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16477, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16478, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16479, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16480, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16481, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16482, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16483, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16484, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16485, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16486, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16487, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16488, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16489, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16490, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16491, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16492, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16493, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16494, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16495, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16496, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16497, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16498, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16499, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16500, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16501, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16502, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16503, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16504, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16505, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16506, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16507, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16508, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16509, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16510, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16511, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16512, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16513, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16514, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16515, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16424, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16516, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16517, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16427, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16518, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 16429, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_676), 16430, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 16431, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B3 /*857*/), 16432, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 16433, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16442, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16443, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 16445, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 16446, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 16447, 24},
	{EIF_NON_GENERIC(0x06CB /*869*/), 16448, 28},
	{EIF_GENERIC(NULL), 16449, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16454, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 16455, 36},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 16456, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 16457, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 16458, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 16459, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_676), 16460, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 16461, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16462, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16471, 5},
};
void Init676(void)
{
	IDSC(desc_676, 0, 675);
	IDSC(desc_676 + 1, 1, 675);
	IDSC(desc_676 + 32, 791, 675);
	IDSC(desc_676 + 34, 175, 675);
	IDSC(desc_676 + 121, 69, 675);
}


#ifdef __cplusplus
}
#endif
